## openssh-cclub 010-1

=== debian/changelog ===
openssh-cclub (010-1) stable; urgency=medium

  * build against heimdal-cclub-006
  
 -- Aaron Solochek <aarons@aberrant.org>  Mon, 12 May 2003 21:23:25 -0500

openssh-cclub (009-1) stable; urgency=low

  * Sync with club packages.
  * Random alpha fixes

 -- Aaron Solochek <aarons@aberrant.org>  Sun, 02 Feb 2003 14:34:44 -0500

openssh-cclub (007-3) stable; urgency=low

  * Build against new heimdal(003) and krb4(004)

 -- Aaron Solochek <aarons@aberrant.org>  Tue, 22 Oct 2002 13:25:20 -0500

openssh-cclub (007-2) stable; urgency=low

  * Fixed stupid des.h problem by adding -DNO_DES

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 04 Sep 2002 21:36:52 -0500

openssh-cclub (007-1) stable; urgency=low

  * Initial release

 -- Aaron Solochek <aarons@aberrant.org>  Thu, 29 Aug 2002 10:10:47 -0500
  
Local variables:
mode: debian-changelog
End:
