=== debian/control ===
Source: openssh-cclub
Section: net
Priority: extra
Maintainer: Aaron Solochek (aarons@aberrant.org)
Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev | libz-dev, libssl-dev, libpam0g-dev | libpam-dev,  groff, debhelper (>=1.1.17), heimdal-dev-cclub
Standards-Version: 3.5.2

Package: openssh-cclub
Architecture: any
Depends: ${shlibs:Depends}, ${pam-depend}, debconf, adduser
Conflicts: ssh, ssh-krb5, ssh-nonfree, ssh-socks, ssh2, debconf (<<0.2.17), debconf-tiny (<<0.2.17), sftp, rsh-client (<<0.16.1-1)
Suggests: debconf, dpkg (>=1.8.3.1), dnsutils, libpam-heimdal-cclub, libpam-openafs-cclub
Provides: rsh-client, ssh
Description: Secure rlogin/rsh/rcp replacement (OpenSSH with Kerberos)
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 Ssh (Secure Shell) is a program for logging into a remote machine
 and for executing commands on a remote machine.
 It provides secure encrypted communications between two untrusted
 hosts over an insecure network.  X11 connections and arbitrary TCP/IP
 ports can also be forwarded over the secure channel.
 It is intended as a replacement for rlogin, rsh and rcp, and can be
 used to provide applications with a secure communication channel.
 .
 This version of OpenSSH has been compiled with patches enabling 
 Kerberos authentication for protocol versions 1 and 2.
 --------------------------------------------------------------------
 .
 In some countries, particularly Iraq, and Pakistan, it may be illegal 
 to use any encryption at all without a special permit.
