## openssh-cclub 011-1

=== debian/changelog ===
openssh-cclub (011-1) stable; urgency=high

  * fix buffer handling security bug
  
 -- Rolf Braun <rbraun@andrew.cmu.edu>  Mon, 12 May 2003 21:23:25 -0500
