## openssh-cclub 011-2

=== debian/changelog ===
openssh-cclub (011-2) stable; urgency=high

  * more security fixes

 -- Rolf Braun <rbraun@andrew.cmu.edu>  Thu, 18 Sep 2003 14:07:35 -0500
